Upsert Connector Binding
PUT
/v1/connectors/bindings/{connector_id}
const url = 'https://example.com/v1/connectors/bindings/example';const options = { method: 'PUT', headers: {'Content-Type': 'application/json'}, body: '{"tenant_id":"example","proposal_id":"example","base_url":"example","client_id":"example","secret_ref":"example","enabled":true,"metadata":{}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/v1/connectors/bindings/example \ --header 'Content-Type: application/json' \ --data '{ "tenant_id": "example", "proposal_id": "example", "base_url": "example", "client_id": "example", "secret_ref": "example", "enabled": true, "metadata": {} }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”connector_id
required
Connector Id
string
Header Parameters
Section titled “Header Parameters”Request Bodyrequired
Section titled “Request Bodyrequired”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
ConnectorBindingOut
object
Examplegenerated
{ "tenant_id": "example", "id": "example", "connector_id": "example", "base_url": "example", "client_id": "example", "secret_ref": "example", "enabled": true, "metadata": {}}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}